  import Xmobar

  config :: Config
  config =
    defaultConfig
      { font = "FiraCode Nerd Font",
        allDesktops = True,
        alpha = 255,
        bgColor = "#282828",
        fgColor = "#ebdbb2",
        commands =
          -- [ Run XMonadLog,
          --   Run $ Memory ["t", "Mem: <usedratio>%"] 10,
          --   Run $ Kbd [],
          --   Run $ Date "%a %_d %b %Y <fc=#ee9a00>%H:%M:%S</fc>" "date" 10
          -- ],
          [ Run $ Memory ["t", "Mem: <usedratio>%"] 10,
            Run $ Kbd [],
            Run $ Date "%a %_d %b %Y <fc=#ee9a00>%H:%M:%S</fc>" "date" 10
          ],
        template = "%kbd% | %date% | %memory%",
        alignSep = "}{",
        position = TopH 24
      }

  main :: IO ()
  main = xmobar config  -- or: configFromArgs config >>= xmobar
